VERSION 5.00
Object = "{A723F6EF-A3F6-11D2-905C-008029E9B3A6}#1.0#0"; "ezVidCap.ocx"
Begin VB.Form Form1 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   Caption         =   "LindsayCam - webcam crosshairs 11/07/10"
   ClientHeight    =   6795
   ClientLeft      =   45
   ClientTop       =   735
   ClientWidth     =   8880
   Icon            =   "Form1.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   453
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   592
   StartUpPosition =   2  'CenterScreen
   Begin vbVidCap.ezVidCap ezVidCap1 
      Height          =   4320
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   5280
      _ExtentX        =   9313
      _ExtentY        =   7620
   End
   Begin VB.Menu Control 
      Caption         =   "&File"
      Begin VB.Menu camera_format 
         Caption         =   "Video &format"
         Shortcut        =   {F1}
      End
      Begin VB.Menu camera_source 
         Caption         =   "Video &source"
         Shortcut        =   {F2}
      End
      Begin VB.Menu resize 
         Caption         =   "&Resize to fit video"
         Shortcut        =   {F3}
      End
      Begin VB.Menu show_crosshair 
         Caption         =   "Show &crosshair window"
         Shortcut        =   {F4}
      End
      Begin VB.Menu crosshair_on_top 
         Caption         =   "&Pin/unpin crosshair window"
         Shortcut        =   {F5}
      End
      Begin VB.Menu exit 
         Caption         =   "E&xit"
         Shortcut        =   {F6}
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub camera_format_Click()
    ezVidCap1.ShowDlgVideoFormat
    Call resize_form
End Sub

Private Sub camera_source_Click()
    ezVidCap1.ShowDlgVideoSource
End Sub

Private Sub crosshair_on_top_Click()
    Dim lR As Long
    If ch_pinned = True Then
        lR = SetTopMostWindow(Form2.hwnd, False)
        ch_pinned = False
    Else
        lR = SetTopMostWindow(Form2.hwnd, True)
        ch_pinned = True
    End If
End Sub

Private Sub exit_Click()
    End
End Sub

Private Sub Form_Load()
    crosshair_on_top.Checked = False
    Form2.BackColor = RGB(200, 200, 200)
    Call resize_form
    Call init_crosshairs
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Unload Form1
    Unload Form2
End Sub

Private Sub resize_Click()
    Call resize_form
End Sub

Private Sub show_crosshair_Click()
    Form2.Show
    Call draw_crosshairs
End Sub

Private Sub resize_form()
    
    ' Resize form to fit the video
    Form1.Width = ezVidCap1.Width * Form1.Width / Form1.ScaleWidth
    Form1.Height = ezVidCap1.Height * Form1.Height / Form1.ScaleHeight
    
End Sub
